Summary:	Standard ghostscript fonts
Name:		ghostscript-fonts-std
Version:	8.11
Release:	3
License:	GPL
Group:		System
URL:		http://www.cs.wisc.edu/~ghost/
Source0:	ftp://ftp.pg.gda.pl/pub/TeX/support/ghostscript/aladdin/current/%{name}-%{version}.tar.gz
Source1:	%{name}.dir
Source2:	%{name}.scale
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:  t1utils-devel

%define		_t1fontsdir	/usr/share/ghostscript/fonts
%define		_t1afmdir	/usr/share/ghostscript/fonts/afm
%define		_t1pfmdir	/usr/share/ghostscript/fonts/pfm

%description
This package contains standard fonts for ghostscript. These fonts can
be used with Xorg/XFree86.

Ghostscript is a PostScript interpreter. It can render both PostScript
and PDF compliant files to devices which include an X window, many
printer formats (including support for color printers), and popular
graphics file formats.

%prep
%setup -q -n fonts

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_t1fontsdir},%{_t1afmdir},%{_t1pfmdir}}

install *.pfb $RPM_BUILD_ROOT%{_t1fontsdir}
install *.afm $RPM_BUILD_ROOT%{_t1afmdir}
install *.pfm $RPM_BUILD_ROOT%{_t1pfmdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.dir
install %{SOURCE2} $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale

# skip number and fonts not present in this package
#tail -n +2 fonts.scale | grep -v '\.pfa ' > $RPM_BUILD_ROOT%{_t1fontsdir}/fonts.scale.%{name}
touch -c `find $RPM_BUILD_ROOT/.`

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
/usr/share/ghostscript/fonts
